## youtube-dl-gui 1.8.5

=== Makefile ===
SHELL = bash
# System python interpreter. Used only to create virtual environment
PY = python3
VENVDIR = ./venv
BIN := $(VENVDIR)/bin
RM = rm -f
RMR := $(RM)r
ACTIVATE=source $(BIN)/activate


all: format lint test-cov

venv:
	@if [ -d $(VENVDIR) ] ; then \
		echo "venv already exists."; \
		echo "To recreate it, remove it first with \`make clean-venv'."; \
	else \
		$(MAKE) ensure-venv; \
	fi

.PHONY: ensure-venv
ensure-venv:
	@if [ ! -d $(VENVDIR) ] ; then \
		$(PY) -m venv $(VENVDIR); \
		$(BIN)/$(PY) -m pip install --upgrade pip setuptools wheel; \
		echo "The venv has been created in the $(VENVDIR) directory"; \
	fi

.piptools: venv
	$(BIN)/$(PY) -m pip install pip-tools
	touch .piptools

requirements/requirements.txt: .piptools requirements/requirements.in
	$(PY) -m piptools compile -o requirements/requirements.txt --no-header --no-annotate requirements/requirements.in

requirements/requirements-binaries.txt: .piptools requirements/requirements-binaries.in
	$(PY) -m piptools compile -o requirements/requirements-binaries.txt --no-header --no-annotate requirements/requirements-binaries.in

requirements/requirements-dev.txt: .piptools requirements/requirements-dev.in
	$(PY) -m piptools compile -o requirements/requirements-dev.txt --no-header --no-annotate requirements/requirements-dev.in

# Sync virtual environment with dependencies
.PHONY: build
build: requirements/requirements.txt requirements/requirements-binaries.txt
	$(PY) -m piptools sync requirements/requirements.txt requirements/requirements-binaries.txt

.PHONY: dev
dev: requirements/requirements.txt requirements/requirements-dev.txt
	$(PY) -m piptools sync requirements/requirements.txt requirements/requirements-dev.txt

.PHONY: lint
lint: dev
	$(PY) -m flake8

format-check: dev
	$(PY) -m black --check .

.PHONY: format
format: dev
	$(PY) -m black .

.PHONY: translation
translation: build
	$(PY) setup.py build_trans

.PHONY: test
test: translation
	$(PY) -m unittest discover -s tests -v

.PHONY: test-cov
test-cov: dev
	$(PY) -m pytest --cov-report term-missing --cov=youtube_dl_gui tests/ -vv

.PHONY: install
install: translation
	$(PY) setup.py install

.PHONY: pyinstaller
pyinstaller: translation
	$(PY) setup.py pyinstaller

.PHONY: typecheck
typecheck: dev
	$(PY) -m mypy -p youtube_dl_gui

.PHONY: clean
clean: clean-build clean-requirements clean-test

.PHONY: clean-venv
clean-venv:
	$(RMR) $(VENVDIR)

clean-build:
	$(RMR) build dist *.egg-info

clean-requirements:
	$(RM) .piptools
	$(RM) requirements/requirements.txt
	$(RM) requirements/requirements-binaries.txt
	$(RM) requirements/requirements-dev.txt

clean-pyc:
		find . -type f -name "*.pyc" -exec rm -f {} \;
		find . -type f -name "*.pyo" -exec rm -f {} \;
		-find . -type d -name "__pycache__" -exec rm -rf {} \;

clean-test:
		$(RMR) .tox/ htmlcov/
		$(RM) .coverage

=== requirements.txt ===
pypubsub==4.0.3
# Fix: install attrdict3 for wxPython==4.2.0 from PyPI
attrdict3
wxPython<=4.2.1a1,>=4.0.7.post2

# Requirements for Windows and ManyLinux 2014

## youtube-dl-gui 0.4.0

=== debian/changelog ===
youtube-dl-gui (0.4.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * debian/rules and control: build with modern pybuild system.
  * Disable tests, as they need access to an X display. If you want them, 
    and are building in X, comment out the override in rules and uncomment the
    python-pytest-mock build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Sep 2019 14:12:29 -0700

youtube-dl-gui (0.4.0-1mx17+2) mx; urgency=medium

  * Added python-twodict to the depends list.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 29 Nov 2017 18:46:52 -0800

youtube-dl-gui (0.4.0-1mx17+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 11 Sep 2017 22:56:21 -0400

youtube-dl-gui (0.4.0-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux..

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 11 Sep 2017 21:49:21 -0400

youtube-dl-gui (0.3.8+gitaa74cc2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Change package and source name to youtube-dl-gui.
  * Add python-wxgtk3.0 as alternate, preferred dependency.
  * debian/control and rules: switch to a dh_python build system.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 28 Feb 2016 14:10:38 -0800

youtube-dlg (0.3.8-1~webupd8~wily0) wily; urgency=medium
 
  * New upstream release

 -- Alin Andrei <webupd8@gmail.com>  Mon, 25 May 2015 12:05:19 +0200

youtube-dlg (0.3.7-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release
  * Disabled 00_remove_icon.patch, applied upstream

 -- Alin Andrei <webupd8@gmail.com>  Thu, 02 Apr 2015 12:13:48 +0200

youtube-dlg (0.3.5-1~webupd8~vivid0) vivid; urgency=medium
 
  * Upload for Vivid

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Mar 2015 14:18:39 +0200

youtube-dlg (0.3.5-1~webupd8~utopic1) utopic; urgency=medium
 
  * Upload for Utopic

 -- Alin Andrei <webupd8@gmail.com>  Thu, 11 Sep 2014 11:27:49 +0200

youtube-dlg (0.3.5-1~webupd8~trusty1) trusty; urgency=medium
 
  * new upstream release
  * refreshed 00_remove_icon.patch
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 07 Apr 2014 15:58:04 +0200

youtube-dlg (0.3+git20140327-1~webupd8~trusty) trusty; urgency=medium
 
  * git snapshot
 
 -- Alin Andrei <webupd8@gmail.com>  Thu, 27 Mar 2014 15:58:04 +0200

youtube-dlg (0.3-1~webupd8~precise) precise; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 26 Mar 2014 15:58:04 +0200

youtube-dlg (0.2.2-2~webupd8~trusty1) trusty; urgency=medium
 
  * initial debianization
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 24 Mar 2014 15:58:04 +0200

=== debian/control ===
Source: youtube-dl-gui
Section: gnome
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
# XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper (>= 9),
               python-all,
               dh-python,
#               python-distutils-extra,
#               python-pytest-mock,
               python-twodict (>= 1.2),
               python-wxgtk3.0 | python-wxgtk2.8
X-Python-Version: >= 2.6, << 2.9
Standards-Version: 3.9.5
Homepage: https://github.com/MrS0m30n3/youtube-dl-gui

Package: youtube-dl-gui
Architecture: all
Depends: ${python:Depends},
         python-wxgtk3.0 | python-wxgtk2.8,
         python-twodict (>= 1.2)
Conflicts: youtube-dlg
Replaces: youtube-dlg
Recommends: libav-tools | ffmpeg
Description: GUI for youtube-dl
 A wxPython cross-platform front-end GUI for the popular youtube-dl tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=youtube-dl-gui
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_16x16.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/16x16/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_32x32.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/32x32/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_48x48.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/48x48/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_64x64.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/64x64/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_128x128.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/128x128/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_256x256.png $(CURDIR)/debian/youtube-dl-gui/usr/share/icons/hicolor/256x256/apps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/youtube_dl_gui/icons/youtube-dl-gui_32x32.png $(CURDIR)/debian/youtube-dl-gui/usr/share/pixmaps/youtube-dl-gui.png
	install -Dm 644 $(CURDIR)/debian/youtube-dl-gui.desktop $(CURDIR)/debian/youtube-dl-gui/usr/share/applications/youtube-dl-gui.desktop
#remove unecessary icon
	rm -rf $(CURDIR)/debian/youtube-dl-gui/usr/share/pixmaps/youtube-dl-gui_48x48.png

override_dh_auto_clean:
	dh_auto_clean
#	rm -rf build

override_dh_auto_test:

## youtube-dl-gui 1.8.5

=== debian/changelog ===
youtube-dl-gui (1.8.5-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 02 Mar 2023 12:54:20 +0100

=== debian/control ===
Source: youtube-dl-gui
Section: Multimedia
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>=12), apt-utils, build-essential, dpkg-dev, freeglut3, freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libgstreamer-plugins-base1.0-dev, libgtk-3-dev, libjpeg-dev, libnotify-dev, libsdl2-dev, libsm-dev, libtiff-dev, libwebkit2gtk-4.0-dev, libxtst-dev
Standards-Version: 3.9.6
Homepage: https://github.com/oleksis/youtube-dl-gui

Package: youtube-dl-gui
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Youtube Downloader GUI
 A cross platform front-end GUI of the popular youtube-dl written in wxPython.
